/*
 *  rharchive
 *
 *  The Radio Helsinki Archive Daemon
 *
 *
 *  Copyright (C) 2010-2014 Christian Pointner <equinox@helsinki.at>
 *
 *  This file is part of rharchive.
 *
 *  rharchive is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  rharchive is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with rharchive. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef RHARCHIVE_string_list_h_INCLUDED
#define RHARCHIVE_string_list_h_INCLUDED

#include "slist.h"

typedef slist_t string_list_t;

int string_list_init(string_list_t* list);
void string_list_clear(string_list_t* list);
int string_list_add(string_list_t* list, const char* string);

void string_list_print(string_list_t* list, const char* head, const char* tail);

#endif
